## Interface Apache_Solr_HttpTransport_Interface

Description

Interface that all Transport (HTTP Requester) implementations must implement. These

Implementations can then be plugged into the Service instance in order to user their the desired method for making HTTP requests

Located in /HttpTransport/Interface.php (line 47)

Method Summary
float getDefaultTimeout ()
Apache_Solr_HttpTransport_Response performGetRequest (string $url, [float $timeout = false])
Apache_Solr_HttpTransport_Response performHeadRequest (string $url, [float $timeout = false])
Apache_Solr_HttpTransport_Response performPostRequest (string $url, string $rawPost, string $contentType, [float $timeout = false])
void setDefaultTimeout (float $timeout)
Methods
getDefaultTimeout (line 54)

Get the current default timeout for all HTTP requests

- access: public

float getDefaultTimeout ()
performGetRequest (line 71)

Perform a GET HTTP operation with an optional timeout and return the response contents, use getLastResponseHeaders to retrieve HTTP headers

- return: HTTP response
- access: public

Apache_Solr_HttpTransport_Response performGetRequest (string $url, [float $timeout = false])

- string $url
- float $timeout

performHeadRequest (line 81)

Perform a HEAD HTTP operation with an optional timeout and return the response headers - NOTE: head requests have no response body

- return: HTTP response
- access: public

Apache_Solr_HttpTransport_Response performHeadRequest (string $url, [float $timeout = false])

- string $url
- float $timeout

performPostRequest (line 93)

Perform a POST HTTP operation with an optional timeout and return the response contents, use getLastResponseHeaders to retrieve HTTP headers

- return: HTTP response
- access: public

Apache_Solr_HttpTransport_Response performPostRequest (string $url, string $rawPost, string $contentType, [float $timeout = false])

- string $url
- string $rawPost
- string $contentType
- float $timeout

setDefaultTimeout (line 61)

Set the current default timeout for all HTTP requests

- access: public

void setDefaultTimeout (float $timeout)

- float $timeout

Documentation generated on Wed, 04 May 2011 11:01:15 -0400 by phpDocumentor 1.4.3